Bug 172708

Summary: [GTK] Stop dismissing menus attached to the web view for every injected event
Product: WebKit Reporter: Carlos Garcia Campos <cgarcia>
Component: Tools / TestsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, aperez, bugs-noreply, buildbot, lforschler, mcatanzaro, wenson_hsieh
Priority: P2 Keywords: Gtk
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=40601
Bug Depends on:    
Bug Blocks: 171492    
Attachments:
Description Flags
Patch
achristensen: review+, buildbot: commit-queue-
Archive of layout-test-results from ews121 for ios-simulator-wk2 none

Description Carlos Garcia Campos 2017-05-30 05:52:21 PDT
It's a workaround we added in r184015 that has worked so far for the context menu, but doesn't really work now that we also attach popup menus to the web view. We really need to be able to show a popup menu, and then send events while the menu is open.
Comment 1 Carlos Garcia Campos 2017-05-30 06:02:18 PDT
Created attachment 311501 [details]
Patch
Comment 2 Build Bot 2017-05-30 07:29:53 PDT
Comment on attachment 311501 [details]
Patch

Attachment 311501 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/3842034

New failing tests:
fast/css/target-fragment-match.html
Comment 3 Build Bot 2017-05-30 07:29:54 PDT
Created attachment 311504 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.5
Comment 4 Michael Catanzaro 2017-05-31 11:06:12 PDT
Awesome! Just needs approved by an owner.
Comment 5 Carlos Garcia Campos 2017-06-05 00:08:48 PDT
Ping Alex?
Comment 6 Carlos Garcia Campos 2017-06-09 00:04:28 PDT
Ping owners?
Comment 7 Alex Christensen 2017-06-09 10:30:34 PDT
This seems like it might be good, but I don't understand the implications of this to properly review it.  I like that it removes platform-specific code, but will it work correctly on all platforms now?  What is correct behavior?  Can I verify this manually somehow?
Comment 8 Carlos Garcia Campos 2017-06-10 01:39:36 PDT
WebPage::contextMenuAtPointInWindow() is only used by WTR, so the fact that all tests keep passing should be enough, IMO.
Comment 9 Alex Christensen 2017-06-12 10:03:56 PDT
You're right. r=me
Comment 10 Carlos Garcia Campos 2017-06-12 10:09:06 PDT
(In reply to Alex Christensen from comment #9)
> You're right. r=me

Thanks!
Comment 11 Carlos Garcia Campos 2017-06-12 10:11:05 PDT
Committed r218106: <http://trac.webkit.org/changeset/218106>